Forum: Ruby on Rails error_messages_for source code for Rails 2.1.0?

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
2dddec0f7717cae77ac6bceede6be5bc?d=identicon&s=25 Ram (Guest)
on 2009-03-28 07:04
(Received via mailing list)
Hi all,

Im looking to customize the validation error messages displayed by
Rails. I took the code for error_messages_for from the Rails api docs
and put it in my application_helper to modify it but I get this error
on it

uninitialized constant ApplicationHelper::I18n

Im on Rails 2.1.0 and I think there's the problem.
(Internationalization was not done pre- 2.2? ) Do correct me if im
wrong.
Where can I get the source code of error_messages_for that was used in
Rails 2.1.0?
Is there a way to view the source code of the rails installation i
have on my local comp?
2dddec0f7717cae77ac6bceede6be5bc?d=identicon&s=25 Ram (Guest)
on 2009-03-28 07:24
(Received via mailing list)
Dint strike me to go to Github until now!!

- http://github.com/rails/rails/tree/master
- click download
- choose version you want.
- unzip.

Guess this post was a bit of a waste of space!
This topic is locked and can not be replied to.